<?php
    $categories = App\Models\Category::active()->limit(5)->get();
?>
<div class="header-top">
    <div class="container-fluid">
        <div class="header-top__content">
            <nav class="navbar navbar-expand-lg navbar-dark">
                <a class="logo" href="<?php echo e(route('home')); ?>">
                    <img class="img-fluid logo__is" src="<?php echo e(siteLogo()); ?>" alt="<?php echo app('translator')->get('Logo'); ?>">
                </a>
                <button class="navbar-toggler" data-bs-toggle="collapse" data-bs-target="#navbarToggle" type="button" aria-expanded="false">
                    <span class="menu-toggle"></span>
                </button>
            </nav>
            <div class="collapse navbar-collapse" id="navbarToggle">
                <div class="nav-container">
                    <!-- Primary Menu  -->
                    <ul class="list primary-menu">
                        <li class="nav-item">
                            <a class="primary-menu__link" href="<?php echo e(route('home')); ?>"> <?php echo app('translator')->get('Home'); ?> </a>
                        </li>
                        <li class="nav-item has-sub">
                            <a class="primary-menu__link" href="javascript:void(0)"><?php echo app('translator')->get('Explore'); ?></a>
                            <ul class="primary-menu__sub">
                                <li>
                                    <a class="t-link primary-menu__sub-link" href="<?php echo e(route('members')); ?>">
                                        <span class="d-inline-block xl-text lh-1">
                                            <i class="las la-user-friends"></i>
                                        </span>
                                        <span class="d-block flex-grow-1">
                                            <?php echo app('translator')->get('Members'); ?>
                                        </span>
                                    </a>
                                </li>
                                <li>
                                    <a class="t-link primary-menu__sub-link" href="<?php echo e(route('collections')); ?>">
                                        <span class="d-inline-block xl-text lh-1">
                                            <i class="las la-plus-square"></i>
                                        </span>
                                        <span class="d-block flex-grow-1">
                                            <?php echo app('translator')->get('Collections'); ?>
                                        </span>
                                    </a>
                                </li>
                                <li>
                                    <a class="t-link primary-menu__sub-link" href="<?php echo e(route('images', ['scope' => 'premium'])); ?>">
                                        <span class="d-inline-block xl-text lh-1 text--warning">
                                            <i class="las la-crown"></i>
                                        </span>
                                        <span class="d-block flex-grow-1">
                                            <?php echo app('translator')->get('Premium'); ?>
                                        </span>
                                    </a>
                                </li>
                                <li>
                                    <hr class="primary-menu__divider">
                                </li>
                                <li>
                                    <a class="t-link primary-menu__sub-link"
                                        href="<?php echo e(route('images', ['scope' => 'featured'])); ?>"><?php echo app('translator')->get('Featured'); ?></a>
                                </li>
                                <li>
                                    <a class="t-link primary-menu__sub-link"
                                        href="<?php echo e(route('images', ['scope' => 'popular'])); ?>"><?php echo app('translator')->get('Popular'); ?></a>
                                </li>

                                <li>
                                    <a class="t-link primary-menu__sub-link"
                                        href="<?php echo e(route('images', ['scope' => 'most-download'])); ?>"><?php echo app('translator')->get('Most downloads'); ?></a>
                                </li>
                            </ul>
                        </li>

                        <li class="nav-item">
                            <a class="primary-menu__link" href="<?php echo e(route('plans')); ?>"><?php echo app('translator')->get('Pricing'); ?></a>
                        </li>

                        <?php if(auth()->guard()->check()): ?>
                            <li class="nav-item has-sub user-dropdown user-dropdown--sm ms-lg-auto">
                                <?php echo $__env->make($activeTemplate . 'partials.user_profile_menu', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                            </li>
                        <?php else: ?>
                            <li class="nav-item ms-lg-auto">
                                <a class="primary-menu__link" href="<?php echo e(route('user.login')); ?>"><?php echo app('translator')->get('Login'); ?></a>
                            </li>
                            <li class="nav-item">
                                <a class="signup-btn my-2 ms-3 ms-lg-0" href="<?php echo e(route('user.register')); ?>"><?php echo app('translator')->get('Sign Up'); ?></a>
                            </li>
                        <?php endif; ?>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="header-secondary">
    <div class="container-fluid">
        <div class="primary-search">
            <a class="logo" href="<?php echo e(route('home')); ?>">
                <img class="img-fluid logo__is" src="<?php echo e(siteLogo()); ?>" alt="<?php echo app('translator')->get('logo'); ?>">
            </a>
            <div class="search-bar">
                <div class="search-bar__icon">
                    <i class="las la-search"></i>
                </div>
                <input class="form-control form--control search-bar__input search-input" type="search" value="<?php echo e(request()->filter ?? ''); ?>"
                    placeholder="<?php echo app('translator')->get('Search anything'); ?>..">
            </div>
            <button class="primary-search__filter" type="button">
                <i class="las la-sliders-h"></i>
            </button>
        </div>
    </div>
</div>
<?php /**PATH /home/l0r3ghjlih6t/public_html/aistockly.com/core/resources/views/templates/basic/partials/search_header.blade.php ENDPATH**/ ?>