<?php
    $content = getContent('plan.content', true);
?>

<?php $__env->startSection('content'); ?>
    <div class="section price-section">
        <div class="section__head">
            <div class="container">
                <div class="row justify-content-center">
                    <div class="col-md-8 col-xl-7 col-xxl-6">
                        <h2 class="mt-0 text-center"><?php echo e(__(@$content->data_values->title)); ?></h2>
                        <p class="t-short-para mx-auto mb-0 text-center">
                            <?php echo e(__(@$content->data_values->subtitle)); ?>

                        </p>
                        <?php if($plans->count()): ?>
                            <div class="form-check form-switch d-flex align-items-center justify-content-center flex-row">
                                <label class="form-check-label" for="period"><?php echo app('translator')->get('Monthly'); ?></label>
                                <input class="form-check-input mx-2" id="period" name="plan_period" type="checkbox" value="monthly">
                                <label class="form-check-label" for="period"><?php echo app('translator')->get('Yearly'); ?></label>
                            </div>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="container">
            <div class="row g-4 g-lg-3 g-xl-4 justify-content-center">
                <?php $__empty_1 = true; $__currentLoopData = $plans; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $plan): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                    <div class="col-md-6 col-lg-4">
                        <div class="price-card price-card--base plan-card" data-monthly_price="<?php echo e(showAmount($plan->monthly_price)); ?>"
                            data-yearly_price="<?php echo e(showAmount($plan->yearly_price)); ?>">
                            <div class="price-card__head">
                                <ul class="list">
                                    <li>
                                        <div class="list list--row align-items-end" style="--gap: 0.2rem">
                                            <h1 class="price-card__price plan-price m-0"><?php echo e(showAmount($plan->monthly_price)); ?></h1>
                                            <span class="price-card__time plan-period"> /<?php echo app('translator')->get('Month'); ?> </span>
                                        </div>
                                    </li>
                                </ul>
                                <div class="price-card__head-content">
                                    <h4 class="price-card__title mt-0 mb-1"><?php echo e(__($plan->name)); ?></h4>
                                    <span class="price-card__subtitle"> <?php echo e(__($plan->title)); ?> </span>
                                </div>
                            </div>
                            <div class="price-card__body">
                                <ul class="list list--check">
                                    <li class="sm-text"><?php echo e($plan->dailyLimitText); ?> <?php echo app('translator')->get('daily downloads'); ?></li>
                                    <li class="sm-text"><?php echo e($plan->monthlyLimitText); ?> <?php echo app('translator')->get('monthly downloads'); ?></li>
                                </ul>
                            </div>
                            <div class="price-card__footer">
                                <button class="base-btn rounded-pill w-100 purchase-btn"
                                    data-current="<?php echo e(auth()->user()?->purchasedPlan?->plan_id == $plan->id); ?>"
                                    data-daily_limit="<?php echo e($plan->dailyLimitText); ?>" data-id="<?php echo e($plan->id); ?>"
                                    data-monthly_limit="<?php echo e($plan->monthlyLimitText); ?>" data-plan_name="<?php echo e(__($plan->name)); ?>" type="button">
                                    <?php echo app('translator')->get('Purchase Now'); ?>
                                </button>
                            </div>
                        </div>
                    </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                    <div class="d-flex justify-content-center align-items-center">
                        <img src="<?php echo e(getImage('assets/images/empty_message.png')); ?>" alt="<?php echo app('translator')->get('Image'); ?>">
                    </div>
                <?php endif; ?>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('modal'); ?>
    <!--  Purchase Modal  -->
    <div class="modal custom--modal fade" id="purchaseModal" aria-hidden="true" aria-labelledby="title" tabindex="-1">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="title"><?php echo app('translator')->get('Purchase Plan'); ?></h5>
                    <button class="btn-close" data-bs-dismiss="modal" type="button" aria-label="Close"></button>
                </div>
                <?php if(auth()->guard()->check()): ?>
                    <form action="<?php echo e(route('user.plan.purchase')); ?>" method="post">
                        <?php echo csrf_field(); ?>
                        <div class="modal-body">
                            <input name="period" type="hidden">
                            <input name="plan" type="hidden">
                            <div class="row gy-3">

                                <h6 class="text-danger already_purchased text-center">
                                    <?php echo app('translator')->get('You already purchased the plan'); ?>
                                </h6>

                                <p class="plan-info text-center"><?php echo app('translator')->get('By purchasing'); ?> <span class="fw-bold plan_name"></span> <?php echo app('translator')->get(' plan, you will get '); ?> <span
                                        class="daily_limit fw-bold"></span><?php echo app('translator')->get(' images download opurtunity per day and'); ?> <span class="monthly_limit fw-bold"></span> <?php echo app('translator')->get(' images per month.'); ?>
                                </p>

                                <div class="form-group payment-info select2-parent">
                                    <label class="form-label required" for="payment_type"><?php echo app('translator')->get('Payment Type'); ?></label>
                                    <div class="form--select">
                                        <select class="form-select select2-basic" data-minimum-results-for-search="-1" id="payment_type" name="payment_type"
                                            required>
                                            <option value=""><?php echo app('translator')->get('Select One'); ?></option>
                                            <option value="direct"><?php echo app('translator')->get('Direct Payment'); ?></option>
                                            <option value="wallet"><?php echo app('translator')->get('From Wallet'); ?></option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button class="btn btn--base w-100 planSubmitConfirm" type="submit"><?php echo app('translator')->get('Submit'); ?> <span class="plan_id"></span> </button>
                            <button class="btn btn--dark closeButton" data-bs-dismiss="modal" type="button"><?php echo app('translator')->get('Close'); ?></button>
                        </div>
                    </form>
                <?php else: ?>
                    <div class="modal-body">
                        <p><?php echo app('translator')->get('Please login first'); ?></p>
                    </div>
                    <div class="modal-footer">
                        <a class="btn btn--base btn--sm" href="<?php echo e(route('user.login')); ?>"><?php echo app('translator')->get('Login'); ?></a>
                    </div>
                <?php endif; ?>
            </div>
        </div>
    </div>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('script'); ?>
    <script>
        (function($) {
            "use strict";

            $('#period').on('change', function() {
                let planCards = $('.plan-card');
                let period = $(this).val();
                let monthlyPrice = 0;
                let yearlyPrice = 0;
                let afterText = null;

                if (period == 'monthly') {
                    $(this).val('yearly');
                    period = 'yearly';
                    afterText = '/Year';
                } else {
                    $(this).val('monthly');
                    period = 'monthly';
                    afterText = '/Month';
                }

                $.each(planCards, function(index, element) {
                    let price = $(element).data(period + '_price');
                    $(element).find('.plan-price').text(price);
                    $(element).find('.plan-period').text(afterText);
                });
            });

            $('.purchase-btn').on('click', function() {
                let plan = $(this).data();
                let plan_id = plan.id;
                let period = $('[name=plan_period]').val();
                let modal = $('#purchaseModal');

                modal.find('[name=plan]').val(plan.id);
                modal.find('[name=period]').val(period);

                modal.find('.plan_name').text(plan.plan_name);
                modal.find('.daily_limit').text(plan.daily_limit);
                modal.find('.monthly_limit').text(plan.monthly_limit);


                $('.already_purchased, .closeButton').addClass('d-none')
                $('.payment-info,.plan-info,.planSubmitConfirm').removeClass('d-none');

                let isCurrent = $(this).data('current');
                if (isCurrent) {
                    $('.already_purchased,.closeButton').removeClass('d-none')
                    $('.payment-info,.plan-info, .planSubmitConfirm').addClass('d-none');
                }
                modal.modal('show');
            });

        })(jQuery);
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make($activeTemplate . 'layouts.frontend', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/l0r3ghjlih6t/public_html/aistockly.com/core/resources/views/templates/basic/plans.blade.php ENDPATH**/ ?>