<?php
    $content = getContent('contributor.content', true);
    $members = App\Models\User::whereHas('images')
        ->where('is_featured', Status::ENABLE)
        ->withCount('images')
        ->orderBy('images_count', 'desc')
        ->limit(8)
        ->get();
?>

<?php if($members->count()): ?>
    <div class="section--sm section--bottom">
        <div class="section__head-xl">
            <div class="container">
                <div class="row justify-content-center">
                    <div class="col-md-8 col-xl-6">
                        <h2 class="section__title text-center">
                            <?php echo e(__(@$content->data_values->title)); ?>

                        </h2>
                        <p class="mb-0 text-center sm-text section__para mx-auto">
                            <?php echo e(__(@$content->data_values->subtitle)); ?>

                        </p>
                    </div>
                </div>
            </div>
        </div>
        <div class="container">
            <div class="row g-4 g-md-3">
                <?php $__currentLoopData = $members; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $member): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <div class="col-lg-3 col-md-4 col-sm-6 col-xsm-6">
                        <div class="contributor">
                            <div class="contributor__head"
                                style="background-image: url(<?php echo e(getImage(getFilePath('userProfile') . '/' . $member->cover_photo, null, 'cover-photo')); ?>);">
                                <img alt="<?php echo app('translator')->get('Member'); ?>" class="contributor__img"
                                    src="<?php echo e(getImage(getFilePath('userProfile') . '/' . $member->image, null, 'user')); ?>">
                            </div>
                            <div class="contributor__body">
                                <a href="<?php echo e(route('member.images', $member->username)); ?>">
                                    <h6 class="contributor__name text--base"><?php echo e(__($member->fullname)); ?></h6>
                                </a>
                                <span class="contributor__contributons"><?php echo e(shortNumber($member->images_count)); ?> <?php echo app('translator')->get('Resources'); ?></span>
                            </div>
                        </div>
                    </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </div>
        </div>
    </div>
<?php endif; ?>
<?php /**PATH /home/l0r3ghjlih6t/public_html/aistockly.com/core/resources/views/templates/basic/sections/contributor.blade.php ENDPATH**/ ?>