
<?php $__env->startSection('content'); ?>
    <?php
        $content = getContent('contact.content', true);

    ?>
    <div class="section login-section" style="background-image: url(<?php echo e(getImage('assets/images/frontend/contact/' . @$content->data_values->background_image, '1920x800')); ?>)">
        <div class="section">
            <div class="container">
                <div class="row justify-content-center">

                    <div class="col-sm-10">
                        <div class="row g-0 justify-content-center flex-wrap-reverse">
                            <div class="col-lg-6">
                                <div class="contact__left">
                                    <div class="contact-item">
                                        <div class="contact-item__content">
                                            <span class="contact-item__icon"><i class="las la-phone"></i></span>
                                            <h4 class="contact-item__title"><?php echo app('translator')->get('CALL US'); ?> </h4>
                                        </div>
                                        <a class="contact-item__number" href="tel:<?php echo e(@$content->data_values->mobile); ?>"><?php echo e(@$content->data_values->mobile); ?></a>
                                    </div>
                                    <div class="contact-item">
                                        <div class="contact-item__content">
                                            <span class="contact-item__icon"><i class="las la-map-marker-alt"></i></span>
                                            <h4 class="contact-item__title"><?php echo app('translator')->get('ADDRESS'); ?> </h4>
                                        </div>
                                        <p class="contact-item__text"><?php echo e(__(@$content->data_values->address)); ?></p>
                                    </div>
                                    <div class="contact-item">
                                        <div class="contact-item__content">
                                            <span class="contact-item__icon"><i class="las la-envelope"></i></span>
                                            <h4 class="contact-item__title"> <?php echo app('translator')->get('EMAIL ADDRESS'); ?> </h4>
                                        </div>
                                        <a class="contact-item__text" href="mailto:<?php echo e(@$content->data_values->email); ?>"><?php echo e(@$content->data_values->email); ?></a>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-6">
                                <div class="login-form">
                                    <h3 class="title"><?php echo e(__(@$content->data_values->form_title)); ?></h3>
                                    <form class="verify-gcaptcha" method="post" action="">
                                        <?php echo csrf_field(); ?>
                                        <div class="form-group">
                                            <label class="form-label"><?php echo app('translator')->get('Name'); ?></label>
                                            <input class="form-control form--control" name="name" type="text" value="<?php echo e(old('name', @$user->fullname)); ?>" <?php if($user && $user->profile_complete): ?> readonly <?php endif; ?> required>
                                        </div>
                                        <div class="form-group">
                                            <label class="form-label"><?php echo app('translator')->get('Email'); ?></label>
                                            <input class="form-control form--control" name="email" type="email" value="<?php echo e(old('email', @$user->email)); ?>" <?php if($user): ?> readonly <?php endif; ?> required>
                                        </div>
                                        <div class="form-group">
                                            <label class="form-label"><?php echo app('translator')->get('Subject'); ?></label>
                                            <input class="form-control form--control" name="subject" type="text" value="<?php echo e(old('subject')); ?>" required>
                                        </div>
                                        <div class="form-group">
                                            <label class="form-label"><?php echo app('translator')->get('Message'); ?></label>
                                            <textarea class="form-control form--control" name="message" wrap="off" required><?php echo e(old('message')); ?></textarea>
                                        </div>
                                        <div class="mt-3">
                                            <?php if (isset($component)) { $__componentOriginalff0a9fdc5428085522b49c68070c11d6 = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginalff0a9fdc5428085522b49c68070c11d6 = $attributes; } ?>
<?php $component = App\View\Components\Captcha::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? $attributes->all() : [])); ?>
<?php $component->withName('captcha'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag): ?>
<?php $attributes = $attributes->except(\App\View\Components\Captcha::ignoredParameterNames()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginalff0a9fdc5428085522b49c68070c11d6)): ?>
<?php $attributes = $__attributesOriginalff0a9fdc5428085522b49c68070c11d6; ?>
<?php unset($__attributesOriginalff0a9fdc5428085522b49c68070c11d6); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalff0a9fdc5428085522b49c68070c11d6)): ?>
<?php $component = $__componentOriginalff0a9fdc5428085522b49c68070c11d6; ?>
<?php unset($__componentOriginalff0a9fdc5428085522b49c68070c11d6); ?>
<?php endif; ?>

                                        </div>
                                        <div class="form-group mt-3">
                                            <button class="btn btn--base w-100 contact--button" type="submit"><?php echo app('translator')->get('Submit'); ?></button>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('style'); ?>
    <style>
        .form-group {
            margin-bottom: 1rem;
        }

        .contact-item {
            margin-bottom: 40px;
        }

        .contact-item:last-child {
            margin-bottom: 0;
        }

        .contact-item__content {
            display: flex;
            align-items: center;
            margin-bottom: 5px;
        }

        .contact-item__icon {
            font-size: 35px;
            margin-right: 15px;
            line-height: 1;
            color: hsl(var(--base));
        }

        .contact-item__title {
            display: inline-block;
            margin: 0;
        }

        .login-form .title {
            margin-top: 0;
            text-align: center;
        }

        .contact__left {
            padding: 90px 50px;
            background-color: hsl(var(--base)/.1);
            height: 100%;
        }

        @media (max-width:991px) {
            .contact__left {
                padding: 60px 50px;
            }
        }

        .login-form {
            box-shadow: none;
            border-radius: 0 !important;
            background-color: hsl(var(--white));
            padding: 50px !important;
        }

        @media (max-width:574px) {
            .login-form {
                padding: 35px !important;
            }

            .contact__left {
                padding: 50px 35px;
            }

            .contact-item {
                margin-bottom: 30px;
            }
        }

        .contact--button {
            height: 43px;
        }

        .contact-item__number,
        .contact-item__text {
            color: unset;
        }
    </style>
<?php $__env->stopPush(); ?>

<?php echo $__env->make($activeTemplate . 'layouts.frontend', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/l0r3ghjlih6t/public_html/aistockly.com/core/resources/views/templates/basic/contact.blade.php ENDPATH**/ ?>