<?php
    $fileTypesQuery = $fileTypes = App\Models\FileType::active()
        ->withWhereHas('categories', function ($category) {
            $category->where('categories.status', Status::ENABLE);
        })
        ->approvedImageCount();

    $fileTypesCount = (clone $fileTypesQuery)->count();
    $fileTypes = $fileTypesQuery->limit(6)->get();
?>

<header class="header-fixed header-primary header-two">
    <div class="custom--container container">
        <div class="header-primary__content">
            <nav class="navbar navbar-expand-lg navbar-dark">
                <a class="logo" href="<?php echo e(route('home')); ?>">
                    <?php if(gs('banner') == 2): ?>
                        <img class="img-fluid logo__is" src="<?php echo e(request()->routeIs('home') ? siteLogo('dark') : siteLogo()); ?>" alt="logo">
                    <?php else: ?>
                        <img class="img-fluid logo__is" src="<?php echo e(siteLogo()); ?>" alt="logo">
                    <?php endif; ?>
                </a>

                <div class="language_switcher_wrapper d-lg-none me-3">
                    <div class="language_switcher">
                        <?php if(gs('multi_language')): ?>
                            <?php
                                $language = App\Models\Language::all();
                                $selectLang = $language->where('code', config('app.locale'))->first();
                            ?>
                            <div class="language_switcher__caption">
                                <span class="icon">
                                    <img src="<?php echo e(getImage(getFilePath('language') . '/' . @$selectLang->image, getFileSize('language'))); ?>"
                                        alt="<?php echo app('translator')->get('image'); ?>">
                                </span>
                                <span class="text"> <?php echo e(__(@$selectLang->name)); ?> </span>
                            </div>
                            <div class="language_switcher__list">
                                <?php $__currentLoopData = $language; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <div class="language_switcher__item    <?php if(session('lang') == $item->code): ?> selected <?php endif; ?>"
                                        data-value="<?php echo e($item->code); ?>">
                                        <a href="<?php echo e(route('lang', $item->code)); ?>" class="thumb">
                                            <span class="icon">
                                                <img src="<?php echo e(getImage(getFilePath('language') . '/' . $item->image, getFileSize('language'))); ?>"
                                                    alt="<?php echo app('translator')->get('image'); ?>">
                                            </span>
                                            <span class="text"> <?php echo e(__($item->name)); ?></span>
                                        </a>
                                    </div>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </div>
                        <?php endif; ?>
                    </div>
                </div>

                <button class="navbar-toggler" data-bs-toggle="collapse" data-bs-target="#navbarToggle" type="button" aria-expanded="false">
                    <span class="menu-toggle"></span>
                </button>
            </nav>
            <div class="navbar-collapse collapse" id="navbarToggle">
                <div class="nav-container">
                    <ul class="list primary-menu">
                        <?php if(auth()->guard()->check()): ?>
                            <li class="nav-item pb-lg-0 pb-2">
                                <a class="btn btn--base btn-sm upload--button" href="<?php echo e(route('user.image.add')); ?>"><i
                                        class="las la-cloud-upload-alt"></i> <?php echo app('translator')->get('Upload'); ?></a>
                            </li>
                        <?php endif; ?>
                        <li class="nav-item has-sub">
                            <a class="primary-menu__link" href="javascript:void(0)"><?php echo app('translator')->get('Explore'); ?></a>
                            <ul class="primary-menu__sub">
                                <li>
                                    <a class="t-link primary-menu__sub-link d-flex gap-2" href="<?php echo e(route('members')); ?>">
                                        <span class="d-inline-block xl-text lh-1">
                                            <i class="las la-user-friends"></i>
                                        </span>
                                        <span class="d-block flex-grow-1">
                                            <?php echo app('translator')->get('Members'); ?>
                                        </span>
                                    </a>
                                </li>
                                <li>
                                    <a class="t-link primary-menu__sub-link d-flex gap-2" href="<?php echo e(route('collections')); ?>">
                                        <span class="d-inline-block xl-text lh-1">
                                            <i class="las la-plus-square"></i>
                                        </span>
                                        <span class="d-block flex-grow-1">
                                            <?php echo app('translator')->get('Collections'); ?>
                                        </span>
                                    </a>
                                </li>
                                <li>
                                    <a class="t-link primary-menu__sub-link d-flex gap-2" href="<?php echo e(route('images', ['scope' => 'premium'])); ?>">
                                        <span class="d-inline-block xl-text lh-1 text--warning">
                                            <i class="las la-crown"></i>
                                        </span>
                                        <span class="d-block flex-grow-1">
                                            <?php echo app('translator')->get('Premium'); ?>
                                        </span>
                                    </a>
                                </li>
                                <li>
                                    <hr class="primary-menu__divider">
                                </li>
                                <li>
                                    <a class="t-link primary-menu__sub-link"
                                        href="<?php echo e(route('images', ['scope' => 'featured'])); ?>"><?php echo app('translator')->get('Featured'); ?></a>
                                </li>
                                <li>
                                    <a class="t-link primary-menu__sub-link"
                                        href="<?php echo e(route('images', ['scope' => 'popular'])); ?>"><?php echo app('translator')->get('Popular'); ?></a>
                                </li>

                                <li>
                                    <a class="t-link primary-menu__sub-link"
                                        href="<?php echo e(route('images', ['scope' => 'most-download'])); ?>"><?php echo app('translator')->get('Most downloads'); ?></a>
                                </li>
                            </ul>
                        </li>

                        
                        <?php $__currentLoopData = $fileTypes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $fileType): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <li class="nav-item has-sub">
                                <a class="primary-menu__link" href="javascript:void(0)"><?php echo e(__($fileType->name)); ?></a>
                                <div class="category-mega-menu primary-menu__sub">
                                    <div class="mega-menu-wrapper">
                                        <div class="mega-menu-wrapper__list category">
                                            <p class="mega-menu-wrapper__title">
                                                <?php echo e(__($fileType->name)); ?> <?php echo app('translator')->get('Categories'); ?>
                                            </p>
                                            <div class="content-item">
                                                <ul class="mega-menu__list">
                                                    <?php $__currentLoopData = $fileType->categories->take(13); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <li class="mega-menu__item"> <a
                                                                href="<?php echo e(route('search', ['type' => 'image', 'category' => $category->slug])); ?>">
                                                                <?php echo e(__($category->name)); ?> </a> </li>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    <?php if($fileType->categories->count() > 13): ?>
                                                        <li class="mega-menu__item"> <a
                                                                href="<?php echo e(route('search', ['type' => 'image', 'category' => ''])); ?>">
                                                                <?php echo app('translator')->get('All Category'); ?> </a> </li>
                                                    <?php endif; ?>
                                                </ul>
                                            </div>
                                        </div>
                                        <div class="mega-menu-wrapper__list photo">
                                            <a href="<?php echo e(route('search', ['fileType' => $fileType->slug, 'type' => 'collection'])); ?>"
                                                class="mega-menu-wrapper__title collection d-block">
                                                <?php echo e($fileType->name); ?> <?php echo app('translator')->get('Collections'); ?>
                                            </a>
                                            <a class="content-item__thumb"
                                                href="<?php echo e(route('search', ['fileType' => $fileType->slug, 'type' => 'collection'])); ?>">
                                                <img src="<?php echo e(getImage(getFilePath('fileTypeCollection') . '/' . $fileType->collection_image, getFileSize('fileTypeCollection'))); ?>"
                                                    alt="File type">
                                            </a>
                                        </div>
                                    </div>
                                </div>
                            </li>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                        <?php if($fileTypesCount > 6): ?>
                            <li class="nav-item ">
                                <a class="primary-menu__link"
                                    href="<?php echo e(route('search', ['type' => 'image', 'category' => ''])); ?>"><?php echo app('translator')->get('All Types'); ?></a>
                            </li>
                        <?php endif; ?>

                        <li class="nav-item">
                            <a class="primary-menu__link" href="<?php echo e(route('plans')); ?>"><?php echo app('translator')->get('Pricing'); ?></a>
                        </li>
                        <?php if(gs('contact_system')): ?>
                            <li class="nav-item">
                                <a class="primary-menu__link ps-0" href="<?php echo e(route('contact')); ?>"><?php echo app('translator')->get('Contact'); ?></a>
                            </li>
                        <?php endif; ?>

                        <li class="language_switcher d-none d-lg-block me-3">
                            <?php if(gs('multi_language')): ?>
                                <?php
                                    $language = App\Models\Language::all();
                                    $selectLang = $language->where('code', config('app.locale'))->first();
                                    $currentLang = session('lang')
                                        ? $language->where('code', session('lang'))->first()
                                        : $language->where('is_default', Status::YES)->first();
                                ?>
                                <div class="language_switcher__caption">
                                    <span class="icon">
                                        <img src="<?php echo e(getImage(getFilePath('language') . '/' . @$currentLang->image, getFileSize('language'))); ?>"
                                            alt="<?php echo app('translator')->get('image'); ?>">
                                    </span>
                                    <span class="text"> <?php echo e(__(@$selectLang->name)); ?> </span>
                                </div>
                                <div class="language_switcher__list">
                                    <?php $__currentLoopData = $language; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <div class="language_switcher__item    <?php if(session('lang') == $item->code): ?> selected <?php endif; ?>"
                                            data-value="<?php echo e($item->code); ?>">
                                            <a href="<?php echo e(route('lang', $item->code)); ?>" class="thumb">
                                                <span class="icon">
                                                    <img src="<?php echo e(getImage(getFilePath('language') . '/' . $item->image, getFileSize('language'))); ?>"
                                                        alt="<?php echo app('translator')->get('image'); ?>">
                                                </span>
                                                <span class="text"> <?php echo e(__($item->name)); ?></span>
                                            </a>
                                        </div>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </div>
                            <?php endif; ?>
                        </li>

                        <?php if(auth()->guard()->check()): ?>
                            <li class="nav-item has-sub user-dropdown">
                                <?php echo $__env->make($activeTemplate . 'partials.user_profile_menu', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                            </li>
                        <?php else: ?>
                            <li class="nav-item">
                                <a class="signup-btn signup-btn--dark" href="<?php echo e(route('user.login')); ?>"><?php echo app('translator')->get('Login'); ?></a>
                            </li>
                        <?php endif; ?>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</header>
<div class="overlay"></div>
<?php $__env->startPush('script'); ?>
    <script>
        (function($) {
            "use strict";
            $(".langSel").on("change", function() {
                window.location.href = "<?php echo e(route('home')); ?>/change/" + $(this).val();
            });

            $('.language_switcher > .language_switcher__caption').on('click', function() {
                $(this).parent().toggleClass('open');
            });

            $(document).on('keyup', function(evt) {
                if ((evt.keyCode || evt.which) === 27) {
                    $('.language_switcher').removeClass('open');
                }
            });

            $(document).on('click', function(evt) {
                if ($(evt.target).closest(".language_switcher > .language_switcher__caption").length === 0) {
                    $('.language_switcher').removeClass('open');
                }
            });

        })(jQuery);
    </script>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('style'); ?>
    <style>
        /* language */
        .language_switcher {
            position: relative;
            padding-right: 20px;
            min-width: max-content;
        }

        @media(max-width: 991px) {
            .language_switcher {
                padding-block: 6px;
                display: inline-flex;
            }

            .language_switcher_wrapper {
                flex: 1;
                text-align: right;
            }
        }

        .language_switcher::after {
            font-family: 'Line Awesome Free';
            content: "\f107";
            font-weight: 900;
            font-size: 14px;
            position: absolute;
            margin: 0;
            color: black;
            top: 50%;
            right: 0;
            -webkit-transform: translateY(-50%);
            transform: translateY(-50%);
            transition: all ease 350ms;
            -webkit-transition: all ease 350ms;
            -moz-transition: all ease 350ms;
        }

        .language_switcher.open:after {
            -webkit-transform: translateY(-50%) rotate(180deg);
            transform: translateY(-50%) rotate(180deg);
        }

        .language_switcher__caption {
            cursor: pointer;
            padding: 0;
            display: flex;
            align-items: center;
            gap: 4px;
            flex-wrap: nowrap;
        }

        .language_switcher__caption .icon {
            position: relative;
            height: 20px;
            width: 20px;
            display: flex;
        }

        .language_switcher__caption .icon img {
            height: 100%;
            width: 100%;
            border-radius: 50%;
            object-fit: cover;
        }

        .language_switcher__caption .text {
            font-size: 0.875rem;
            font-weight: 500;
            flex: 1;
            color: hsl(var(--dark));
            line-height: 1;
        }

        .language_switcher__list {
            width: 100px;
            border-radius: 4px;
            padding: 0;
            max-height: 105px;
            overflow-y: auto !important;
            background: #fff;
            -webkit-box-shadow: 0px 12px 24px rgba(21, 18, 51, 0.13);
            opacity: 0;
            overflow: hidden;
            -webkit-transition: all 0.15s cubic-bezier(0.25, 0, 0.25, 1.75),
                opacity 0.1s linear;
            transition: all 0.15s cubic-bezier(0.25, 0, 0.25, 1.75), opacity 0.1s linear;
            -webkit-transform: scale(0.85);
            transform: scale(0.85);
            -webkit-transform-origin: 50% 0;
            transform-origin: 50% 0;
            position: absolute;
            top: calc(100% + 18px);
            z-index: -1;
            visibility: hidden;
            border: 1px solid rgb(0 0 0 / 10%);
        }

        .language_switcher__list::-webkit-scrollbar-track {
            border-radius: 3px;
            background-color: hsl(var(--base) / 0.3);
        }

        .language_switcher__list::-webkit-scrollbar {
            width: 3px;
        }

        .language_switcher__list::-webkit-scrollbar-thumb {
            border-radius: 3px;
            background-color: hsl(var(--base) / 0.8);
        }

        .language_switcher__list .text {
            font-size: 0.875rem;
            font-weight: 500;
            color: black;
        }

        .language_switcher.open .language_switcher__list {
            -webkit-transform: scale(1);
            transform: scale(1);
            opacity: 1;
            z-index: 1;
            visibility: visible;
        }

        .language_switcher__item a {
            cursor: pointer;
            padding: 5px;
            border-bottom: 1px solid hsl(var(--heading-color) / 0.2);
            display: flex;
            align-items: center;
            gap: 4px;
        }

        .language_switcher__item img {
            height: 20px;
            width: 20px;
            display: block;
            border-radius: 50%;
        }

        .language_switcher__item:last-of-type {
            border-bottom: 0;
        }

        .language_switcher__item.selected {
            background: rgba(36, 60, 187, 0.02);
            pointer-events: none;
        }
    </style>
<?php $__env->stopPush(); ?>
<?php /**PATH /home/l0r3ghjlih6t/public_html/aistockly.com/core/resources/views/templates/basic/partials/header.blade.php ENDPATH**/ ?>