<?php
    $content = getContent('footer.content', true);
    $socialIcons = getContent('social_icon.element', false, 4, true);
    $policies = getContent('policy_pages.element', false, 5, true);
    $categories = App\Models\Category::active()
        ->limit(5)
        ->get();
?>
<?php echo $__env->make($activeTemplate . 'partials.cookie', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<?php if(!request()->routeIs(['search', 'user*'])): ?>
    <section>
        <div class="custom--container container">
            <?php echo getAds('728x90', 2);?>
        </div>
    </section>
<?php endif; ?>

<footer class="footer">
    <div class="section">
        <div class="container">
            <div class="footer-top d-flex align-items-center justify-content-between flex-wrap gap-3">
                <div class="footer-top__left">
                    <p class="desc text--white mb-0"><?php echo e(__(@$content->data_values->heading)); ?></p>
                </div>
                <?php if(gs('multi_language')): ?>
                <?php
                    $language = App\Models\Language::all();
                ?>
                    <div class="footer-top__right">
                        <div class="select-lang lang--dark">
                            <select class="langSel form-select">
                                <?php $__currentLoopData = $language; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $lang): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($lang->code); ?>" <?php if(session()->get('lang') == $lang->code): echo 'selected'; endif; ?>><?php echo app('translator')->get($lang->name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                    </div>
                <?php endif; ?>
            </div>
        </div>
        <div class="container">
            <div class="row g-4 justify-content-xl-between">
                <div class="col-md-6 col-lg-3">
                    <h4 class="text--white mt-0"><?php echo e(__(@$content->data_values->title)); ?></h4>
                    <p class="text--white">
                        <?php echo e(__(@$content->data_values->description)); ?>

                    </p>
                    <ul class="list list--row social-list">
                        <?php $__currentLoopData = $socialIcons; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $social): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <li>
                                <a class="t-link social-list__icon" href="<?php echo e($social->data_values->url); ?>" target="_blank">
                                    <?php echo $social->data_values->icon ?>
                                </a>
                            </li>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </ul>
                </div>
                <div class="col-md-6 col-lg-3 col-xl-2">
                    <h4 class="text--white mt-0"><?php echo app('translator')->get('Explore'); ?></h4>
                    <ul class="list" style="--gap: 0.5rem">
                        <li>
                            <a class="t-link t-link--base text--white d-inline-block sm-text" href="<?php echo e(route('members')); ?>">
                                <?php echo app('translator')->get('Members'); ?>
                            </a>
                        </li>
                        <li>
                            <a class="t-link t-link--base text--white d-inline-block sm-text" href="<?php echo e(route('collections')); ?>">
                                <?php echo app('translator')->get('Collections'); ?>
                            </a>
                        </li>
                        <li>
                            <a class="t-link t-link--base text--white d-inline-block sm-text" href="<?php echo e(route('images', ['scope' => 'premium'])); ?>">
                                <?php echo app('translator')->get('Premium'); ?>
                            </a>
                        </li>
                        <li>
                            <a class="t-link t-link--base text--white d-inline-block sm-text" href="<?php echo e(route('images', ['scope' => 'featured'])); ?>">
                                <?php echo app('translator')->get('Featured'); ?>
                            </a>
                        </li>
                        <li>
                            <a class="t-link t-link--base text--white d-inline-block sm-text" href="<?php echo e(route('images', ['scope' => 'popular'])); ?>">
                                <?php echo app('translator')->get('Popular'); ?>
                            </a>
                        </li>
                    </ul>
                </div>
                <div class="col-md-6 col-lg-3 col-xl-2">
                    <h4 class="text--white mt-0"><?php echo app('translator')->get('Categories'); ?></h4>
                    <ul class="list" style="--gap: 0.5rem">
                        <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <li>
                                <a class="t-link t-link--base text--white d-inline-block sm-text" href="<?php echo e(route('search', ['type' => 'image', 'category' => $category->slug])); ?>">
                                    <?php echo e(__($category->name)); ?>

                                </a>
                            </li>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </ul>
                </div>
                <div class="col-md-6 col-lg-3 col-xl-2">
                    <h4 class="text--white mt-0"><?php echo app('translator')->get('Useful Links'); ?></h4>
                    <ul class="list" style="--gap: 0.5rem">
                        <?php $__currentLoopData = $policies; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $policy): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <li>
                                <a class="t-link t-link--base text--white d-inline-block sm-text" href="<?php echo e(route('policy.pages',  $policy->slug)); ?>">
                                    <?php echo e(__($policy->data_values->title)); ?>

                                </a>
                            </li>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </ul>
                </div>
            </div>
        </div>
    </div>
    <div class="footer__copyright py-3">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <p class="sm-text text--white mb-0 text-center">
                        <?php echo app('translator')->get('Copyright'); ?> &copy; <?php echo e(date('Y')); ?>. <?php echo app('translator')->get('All Rights Reserved By'); ?>
                        <a class="t-link" href="<?php echo e(route('home')); ?>"><?php echo e(__(gs('site_name'))); ?></a>
                    </p>
                </div>
            </div>
        </div>
    </div>
</footer>
<?php /**PATH /home/l0r3ghjlih6t/public_html/aistockly.com/core/resources/views/templates/basic/partials/footer.blade.php ENDPATH**/ ?>